eth_callAsk AIpost https://api.zan.top/node/v1/zksync/mainnet/{apiKey}Executes a call to a read-only function of a smart contract immediately without creating a transaction on the blockchain.Path ParamsapiKeystringrequiredDefaults to publicFor higher throughput, please create your own API key.Body ParamsAccepts the transaction call object, state overrides and the block number / block hash / block tag to execute the call on.idintegerDefaults to 1jsonrpcstringDefaults to 2.0methodstringDefaults to eth_callparamsarraylength between 2 and 2Defaults to [object Object],0x39247eparams Transaction Call Object | Block ParameterTransaction Call ObjectBlock Parameterfromstring20 Bytes - The address the transaction is sent from.tostringrequiredDefaults to 0xe4edb277e41dc89ab076a1f049f4a3efa700bce820 Bytes - The address the transaction is directed to.gasstringDefaults to 0x00Hexadecimal value of the gas provided for the transaction execution. eth_call consumes zero gas, but this parameter may be needed by some executions.gasPricestringDefaults to 0x09184e72a000Hexadecimal value of the gasPrice used for each paid gas. NOTE: most of our users (95%+) never set the gasPrice on eth_call.maxPriorityFeePerGasstringDefaults to 0x09884e72a000Maximum fee, in Wei, the sender is willing to pay per gas above the base fee. See EIP-1559 transactions.maxFeePerGasstringDefaults to 0x09884e72a000Maximum total fee (base fee + priority fee), in Wei, the sender is willing to pay per gas. See EIP-1559 transactions.valuestringDefaults to 0x00Integer of the value sent with this transactiondatastringDefaults to 0x00Hash of the method signature and encoded parameters Transaction Call Object | Block ParameterTransaction Call ObjectBlock Parameterfromstring20 Bytes - The address the transaction is sent from.tostringrequiredDefaults to 0xe4edb277e41dc89ab076a1f049f4a3efa700bce820 Bytes - The address the transaction is directed to.gasstringDefaults to 0x00Hexadecimal value of the gas provided for the transaction execution. eth_call consumes zero gas, but this parameter may be needed by some executions.gasPricestringDefaults to 0x09184e72a000Hexadecimal value of the gasPrice used for each paid gas. NOTE: most of our users (95%+) never set the gasPrice on eth_call.maxPriorityFeePerGasstringDefaults to 0x09884e72a000Maximum fee, in Wei, the sender is willing to pay per gas above the base fee. See EIP-1559 transactions.maxFeePerGasstringDefaults to 0x09884e72a000Maximum total fee (base fee + priority fee), in Wei, the sender is willing to pay per gas. See EIP-1559 transactions.valuestringDefaults to 0x00Integer of the value sent with this transactiondatastringDefaults to 0x00Hash of the method signature and encoded parametersResponse 200The result of the call.Updated 7 days ago